﻿#ifndef SELECTBOX_H
#define SELECTBOX_H

#include <QDialog>

#if defined(Q_OS_WIN64)
    #include "Windows.h"
    #include "Okapi64.h"
#elif defined(Q_OS_WIN32)
    #include "windows.h"
    #include "Okapi32.h"
#else
    #include "../share/winsim.h"
    #include "../share/okapi64.h"
#endif

namespace Ui {
class SelectBox;
}

class SelectBox : public QDialog
{
    Q_OBJECT

public:
    explicit SelectBox(QWidget *parent = 0);
    ~SelectBox();

    void showEvent(QShowEvent *event);

    int GetIndex();

private:
    Ui::SelectBox *ui;

    //user define
private:
    int			i,total;
    OKDEVTYPE	*lpBoardInfo;
    int         iVirtCode=0, bFind=0,bNetFind=-1;
    char        szVirtName[30];
    char		string[120];

private:
    HANDLE		hBoard;
    long		iCurrUsedNo=-1;//

    void        InitDialog(void);

public:
    void SetBoard(HANDLE h);
    void SetCurrentNo(MLONG m);
private slots:
    void on_pushButton_clicked();
};

#endif // SELECTBOX_H
