﻿#include "paintview.h"

#include"qpainter.h"

PaintView::PaintView(QWidget *parent) : QWidget(parent)
{

}

#include <QMessageBox>
#include <stdio.h>

void PaintView::paintEvent(QPaintEvent* event)
{
    QPainter painter(this);

    /*
    char * pData = new char[10 * 1024 * 1024];

    memset (pData, 0, 1024 * 1024 * 10);

//    BITMAP bitmap;

    BITMAPINFOHEADER bitmapInfoHeader;
    memset(&bitmapInfoHeader, 0, sizeof(bitmapInfoHeader));
    //bitmapInfoHeader.biBitCount = bitmap.bmBitsPixel;
    bitmapInfoHeader.biBitCount = 24;
    //bitmapInfoHeader.biWidth = bitmap.bmWidth;
    //bitmapInfoHeader.biHeight = -bitmap.bmHeight;
    bitmapInfoHeader.biWidth = 1024;
    bitmapInfoHeader.biHeight = 1024;
    bitmapInfoHeader.biPlanes = 1;
    bitmapInfoHeader.biSize = sizeof(BITMAPINFOHEADER);
    bitmapInfoHeader.biSizeImage = 1024 * 1024 * 3;
    bitmapInfoHeader.biCompression = BI_RGB;

    BITMAPFILEHEADER bitmapFileHeader;
    bitmapFileHeader.bfReserved1 = 0;
    bitmapFileHeader.bfReserved2 = 0;
    bitmapFileHeader.bfSize = sizeof(BITMAPFILEHEADER) + sizeof(BITMAPINFOHEADER) + bitmapInfoHeader.biSizeImage;
    bitmapFileHeader.bfType = 0x4d42;
    bitmapFileHeader.bfOffBits = sizeof(BITMAPFILEHEADER)+sizeof(BITMAPINFOHEADER);

    QByteArray byteArray;
    byteArray.append((char*)&bitmapFileHeader,sizeof(BITMAPFILEHEADER));    //文件信息头
    byteArray.append((char*)&bitmapInfoHeader,sizeof(BITMAPINFOHEADER));    //位图信息头
    byteArray.append(pData,bitmapInfoHeader.biSizeImage);                   //位图信息数据

    bool bRet = false;
    QPixmap pixmap;
    //bRet = pixmap.loadFromData(byteArray);        //导入方式1
    bRet = pixmap.loadFromData((const uchar*)byteArray.data(),byteArray.size());    //导入方式2


    // 反走样
    painter.setRenderHint(QPainter::Antialiasing, true);


    // 绘制图标
    painter.drawPixmap(rect(), pixmap);
    */

    /*
    PAINTSTRUCT	ps;
    HDC			hDC;
    LPBITMAPINFOHEADER	lpBI;
    LPBYTE				lpDIB;
    HDRAWDIB	hdd;
    HPALETTE	hPal=0;


    hDC=BeginPaint(hWnd,&ps);

    lpBI=lpbi;
    lpDIB=lpdib;

    //if(lpBI && (bActive>=0) ) {
    if(lpBI && (bActive==0) ) {
        RECT	rect;	POINT	pt;
        short	scrbits;

        scrbits=HIWORD(okSetCaptureParam(hBoard,CAPTURE_SCRRGBFORMAT,GETCURRPARAM));
        GetClientRect(hWnd,&rect);
        if(lpBI->biHeight>rect.bottom)
            rect.top=lpBI->biHeight-rect.bottom;
        else
            rect.top=0;


        pt.x=LOWORD(lScrnOffset);
        pt.y=HIWORD(lScrnOffset);
        ClientToScreen(hWnd,&pt);
        //adjust x abs. offset to 4 align
        //pt.x= pt.x%4 ? pt.x+4-pt.x%4 : pt.x;
        ScreenToClient(hWnd,&pt);

        hPal=exSetPaletteToWnd(hBoard, hDC);

        if(!okSetConvertParam(hBoard,CONVERT_NOSYNCSCREEN,-1)) //0: sync
            okWaitVerticalSync(hBoard,1); //);

        if((bMatchClient==0)) { //no stretch


                SetDIBitsToDevice(hDC,
                    pt.x,pt.y,
                    lpBI->biWidth,lpBI->biHeight,
                    horzstart,-vertstart,//rect.top,
                    0,lpBI->biHeight,
                    lpDIB,
                    (LPBITMAPINFO)lpBI,
                    DIB_RGB_COLORS
                    );

                //elapsed=GetTickCount()-elapsed;
                //elapsed-=1;


        }
        else {//strech in order to match client rect
            rect.left=pt.x;
            rect.top=pt.y;
            if( (iClientWidth>0) && (iClientHeight>0) ) {
                rect.right=iClientWidth+rect.left;
                rect.bottom=iClientHeight+rect.top;
            }


            if( (scrbits==8) && (lpBI->biBitCount!=8) ) { //only on NT4.0 need to do so
                hdd=DrawDibOpen(); //when to 8 bit dib on NT platform you should use function group DrawDib
                                //because they are too slow with GDI funtions group
                            // to use DrawDib you must add vfw.h and vfw32.lib

                DrawDibDraw(hdd,hDC,
                    rect.left,rect.top,
                    rect.right,rect.bottom,
                    (LPBITMAPINFOHEADER)lpBI, lpDIB,
                    0,0, //horzstart, vertstart,
                    lpBI->biWidth,lpBI->biHeight,
                    DDF_BACKGROUNDPAL );

                DrawDibEnd(hdd);
                DrawDibClose(hdd);
            }
            else { //you can always use this on win95/98/2000
                //long	elapsed;
                //elapsed=GetTickCount();

                SetStretchBltMode(hDC,STRETCH_DELETESCANS);

                StretchDIBits(hDC,
                    rect.left,rect.top,
                    rect.right,rect.bottom,
                    0,0, //horzstart, vertstart,
                    lpBI->biWidth,lpBI->biHeight,
                    lpDIB,(LPBITMAPINFO)lpBI,
                    DIB_RGB_COLORS,SRCCOPY);

                //elapsed=GetTickCount()-elapsed;
                //elapsed-=1;
            }
        }
        //if(hPal)
        //	DeleteObject(hPal);
    }

    EndPaint(hWnd,&ps);
    */

    /*
    SetDIBitsToDevice(hDC,
        pt.x,pt.y,
        lpBI->biWidth,lpBI->biHeight,
        horzstart,-vertstart,//rect.top,
        0,lpBI->biHeight,
        lpDIB,
        (LPBITMAPINFO)lpBI,
        DIB_RGB_COLORS
        );
        */

    if ((lpbi== NULL) || (lpdib == NULL))
        return;

    /*
    memset(lpdib, 0x7f, 0x100000);

    BITMAPFILEHEADER bitmapFileHeader;
    bitmapFileHeader.bfReserved1 = 0;
    bitmapFileHeader.bfReserved2 = 0;
    bitmapFileHeader.bfSize = sizeof(BITMAPFILEHEADER) + sizeof(BITMAPINFOHEADER) + lpbi->biSizeImage;
    bitmapFileHeader.bfType = 0x4d42;
    bitmapFileHeader.bfOffBits = sizeof(BITMAPFILEHEADER)+sizeof(BITMAPINFOHEADER);




    QByteArray byteArray;
    byteArray.append((char*)&bitmapFileHeader,sizeof(BITMAPFILEHEADER));    //文件信息头
    byteArray.append((char*)lpbi, sizeof(BITMAPINFOHEADER));    //位图信息头
    //int i;
    //for (i=0; i<lpbi->biSizeImage; i++)
    //    byteArray.append('c');
    //byteArray.append((char *)lpdib, lpbi->biSizeImage);                   //位图信息数据

    bool bRet = false;
    QPixmap pixmap;
    //bRet = pixmap.loadFromData(byteArray);        //导入方式1
    bRet = pixmap.loadFromData((const uchar*)byteArray.data(),byteArray.size());    //导入方式2
*/
    //QImage image = QImage((uchar *)lpdib, lpbi->biWidth, lpbi->biHeight, QImage::Format_RGB888); //封装QImage
    QImage image = QImage((uchar *)lpdib, lpbi->biWidth, lpbi->biHeight, QImage::Format_RGB32); //封装QImage
    //QPixmap image = QPixmap((uchar *)lpdib, lpbi->biWidth, lpbi->biHeight, QImage::Format_RGB888); //封装QImage

    QRect rect;
    rect.setLeft(0);
    rect.setRight(lpbi->biWidth);
//    rect.setTop(0);
//    rect.setBottom(lpbi->biHeight);
    rect.setTop(height()-lpbi->biHeight);
    rect.setBottom(height());
    // 反走样
    //painter.setRenderHint(QPainter::Antialiasing, true);

    //painter.drawPixmap(rect(), pixmap);
    //painter.drawPixmap(0, 0, lpbi->biWidth, lpbi->biHeight, pixmap);
    painter.setViewport(0, height(), width(), -height());
//    painter.setViewport(0, 576, width(), -576);
    painter.drawImage(rect, image);
    //painter.drawImage(0, 0, lpbi->biWidth, lpbi->biHeight, image);
}


void PaintView::SetBI(LPBITMAPINFOHEADER lp)
{
    lpbi = lp;
}

void PaintView::SetDIB(LPBYTE lp)
{
    lpdib = lp;
}

