#ifndef PAINTVIEW_H
#define PAINTVIEW_H

#include <QWidget>

#if defined(Q_OS_WIN32)
    #include "windows.h"
#else
    #include "../share/winsim.h"
#endif

class PaintView : public QWidget
{
    Q_OBJECT
public:
    explicit PaintView(QWidget *parent = 0);
    void paintEvent(QPaintEvent* p);

signals:

public slots:

    //user define
public:
    LPBITMAPINFOHEADER	lpbi = NULL;
    LPBYTE				lpdib = NULL;

    void SetBI(LPBITMAPINFOHEADER lp);
    void SetDIB(LPBYTE lp);
};

#endif // PAINTVIEW_H
